// Camera 2D function ******************************************************
// intended to be used with latitude and longitude
void setCameraView2D(float tarx, float tary, float aspectr, float scalef, float multiplier) {

  float scalex = scalef*aspectr*multiplier;
  float scaley = scalef*multiplier;
  float transx = tarx*-scalex;
  float transy = tary*-scaley;
  
  translate(int(width*multiplier)/2, int(height*multiplier)/2);    //translate coords to put 0, 0, in the center of the window
  scale( 1.0, -1.0 );    //scale coords to align quadrants like the earth
  translate(transx, transy);
  scale(scalex, scaley);
}
